## org.apache.batik.anim.timing
Class MediaMarkerTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.MediaMarkerTimingSpecifier

    public class MediaMarkerTimingSpecifier

extends TimingSpecifier

A class to handle media marker SMIL timing specifiers. This class of timing specifier is currently unused.

Field Summary
`protected InstanceTime` `instance` The instance time.
`protected java.lang.String` `markerName` The media marker name.
`protected TimedElement` `mediaElement` The media element.
`protected java.lang.String` `syncbaseID` The ID of the media element.

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`MediaMarkerTimingSpecifier(TimedElement owner, boolean isBegin, java.lang.String syncbaseID, java.lang.String markerName)` Creates a new MediaMarkerTimingSpecifier object.

Method Summary
`boolean` `isEventCondition()` Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).
`java.lang.String` `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`deinitialize, getOwner, initialize, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### syncbaseID

    protected java.lang.String syncbaseID

  The ID of the media element.

### mediaElement

    protected TimedElement mediaElement

  The media element.

### markerName

    protected java.lang.String markerName

  The media marker name.

### instance

    protected InstanceTime instance

  The instance time.

Constructor Detail

### MediaMarkerTimingSpecifier

    public MediaMarkerTimingSpecifier(TimedElement owner,
                                      boolean isBegin,
                                      java.lang.String syncbaseID,
                                      java.lang.String markerName)

  Creates a new MediaMarkerTimingSpecifier object.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `java.lang.Object`

### isEventCondition

    public boolean isEventCondition()

  Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

  Specified by:
    `isEventCondition` in class `TimingSpecifier`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.